Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451830 - python self test failure on python 2.3.4
Summary: python self test failure on python 2.3.4
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: python-qpid
Version: beta
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Rafael H. Schloming
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-17 17:39 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-10 14:10:47 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Rafael H. Schloming 2008-06-17 17:39:12 UTC
The python self tests exhibit the following failure on RHEL-4, i386, (python 2.3.4):

======================================================================
ERROR: testMessageProperties (qpid.tests.spec010.SpecTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.3/site-packages/qpid/tests/spec010.py", line 55, in
testMessageProperties
    dec = self.encdec(mp, props)
  File "/usr/lib/python2.3/site-packages/qpid/tests/spec010.py", line 44, in encdec
    type.encode(sc, value)
  File "/usr/lib/python2.3/site-packages/qpid/spec010.py", line 241, in encode
    self.encode_fields(sc, value)
  File "/usr/lib/python2.3/site-packages/qpid/spec010.py", line 256, in
encode_fields
    f.type.encode(codec, values[f.name])
  File "/usr/lib/python2.3/site-packages/qpid/spec010.py", line 147, in encode
    getattr(codec, "write_%s" % self.name)(value)
  File "/usr/lib/python2.3/site-packages/qpid/codec010.py", line 98, in write_uint64
    self.pack("!Q", n)
  File "/usr/lib/python2.3/site-packages/qpid/packer.py", line 36, in pack
    self.write(struct.pack(fmt, *args))
TypeError: can't convert negative long to unsigned

----------------------------------------------------------------------


Note You need to log in before you can comment on or make changes to this bug.